Retrieves all the article categories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_category
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

parent_id

Parent Article Category (Parent / Child)

globally unique identifier
parent_code

Embedded entity "article_category" for parent using ERP PK when adding/updating article_category

string
parent_article_category

Embedded entity "article_category" for parent when adding/updating article_category

article_category
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the article category

string

Required

Max length: 50

modified_dateutc

Readonly system field managed by the database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "139c8a43-1668-47b4-a46b-c6a18e3e8c9e",
  "parent_id": "c0d89970-9c1f-415a-8c7c-d7acb381b8c4",
  "parent_code": "sample string 3",
  "code": "sample string 4",
  "name": "sample string 5",
  "modified_dateutc": "2026-10-26T09:57:16.4209881+00:00"
}